unsigned str_len(char *str)
{
  unsigned l = 0;

  while(*str++)
    l++;

  return l;
}

void *memcpy(void *dst, const void *src, size_t len)
{
  unsigned char *dstp = dst;

  while(len--)
  {
    *dstp++ = *((unsigned char*)src);
    src = (unsigned char*)src + 1;
  }

  return dst;
}

void *memset(void *dst, int c, size_t len)
{
  unsigned char *dstp = dst;

  while(len--)
    *dstp++ = (unsigned char)c;

  return dst;    
}
